import request from '@/utils/request'

// 查询水泵接合器列表
export function listPump(query) {
  return request({
    url: '/dev/pump/list',
    method: 'get',
    params: query
  })
}

// 查询水泵接合器详细
export function getPump(id) {
  return request({
    url: '/dev/pump/' + id,
    method: 'get'
  })
}

// 新增水泵接合器
export function addPump(data) {
  return request({
    url: '/dev/pump',
    method: 'post',
    data: data
  })
}

// 修改水泵接合器
export function updatePump(data) {
  return request({
    url: '/dev/pump',
    method: 'put',
    data: data
  })
}

// 删除水泵接合器
export function delPump(id) {
  return request({
    url: '/dev/pump/' + id,
    method: 'delete'
  })
}
